<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_sleep_bg">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/mParent"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_sleep_header_bg"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_20"
                android:gravity="center"
                android:text="睡眠时长"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_13" />

            <TextView
                android:id="@+id/mSleepTime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_18"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_13" />

            <include
                android:id="@+id/mChartInfo"
                layout="@layout/sleep_chart_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <!--            &lt;!&ndash;    年月日数据图        &ndash;&gt;-->
            <!--            <com.github.mikephil.charting.charts.BarChart-->
            <!--                android:id="@+id/mBarChart"-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="@dimen/dp_180"-->
            <!--                android:layout_marginTop="@dimen/dp_12"-->
            <!--                android:padding="@dimen/dp_12" />-->

            <!--     评分信息       -->
            <include
                android:id="@+id/mScoreInfo"
                layout="@layout/sleep_score_info"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_160"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_12"
                android:layout_marginBottom="@dimen/dp_40" />


            <!--    睡眠比例信息        -->
            <include
                layout="@layout/sleep_scale_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <!--    分割线     -->
            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_10"
                android:background="@color/col_f4f" />

            <!--    睡眠音乐        -->
            <include layout="@layout/sleep_music_info" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</RelativeLayout>
